/* Footer ================ */

.footer {
  --footer-padding: 35px;
  padding-top: var(--footer-padding);
  padding-bottom: var(--footer-padding);
  background-color: var(--color-primary);
  text-align: center;
}

.social-list {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 30px;
}

.social-list__link {
  padding-left: 12px;
  padding-right: 12px;
  color: var(--color-white);

  &:hover {
    color: var(--color-white);
  }

  .icon {

    &-youtube {
      width: 32px;
      height: 23px;
    }

    &-instagram {
      width: 31px;
      height: 29px;
    }

    &-vk {
      width: 35px;
      height: 20px;
    }

    &-facebook {
      width: 15px;
      height: 26px;
    }
  }
}

.footer__list-links {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.footer__link {
  font-size: var(--text-size-small);
  text-decoration: underline;
  color: var(--color-white);

  &:hover {
    text-decoration: none;
    color: var(--color-white);
  }

  & + .footer__link {
    margin-top: 20px;
  }
}

/* ================ end footer */
